Bug 144087 - Does not get an IP address from WiFi
Does not get an IP address from WiFi
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-04 09:18 EST by Bill Peck
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 14:54:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log messages from NetworkManager and some tcpdump info... (22.32 KB, text/plain)
2005-01-04 09:18 EST, Bill Peck
no flags Details

  None (edit)
Description Bill Peck 2005-01-04 09:18:17 EST
Description of problem:
I was at Logan over the holiday break and attempted to get wireless
working with NetworkManager.  It would see the loganwifi in the pull
down but selecting it never produced a connection.
I tried to run tcpdump to capture what I could and I ran
NetworkManager in the forground. I'll attach what I have here.

btw - Turning off NetworkManager and just ifup eth1 produced a working
connection.  I was able to bring up a web page and see the captive
wireless portal. 

Version-Release number of selected component (if applicable):
NetworkManager-0.3.2-4.3.cvs20041208

How reproducible:
Unknown

Steps to Reproduce:
1. Drive to logan.. ;-)
2. try to connect to loganwifi
3. don't look suspicious.
Comment 1 Bill Peck 2005-01-04 09:18:57 EST
Created attachment 109324 [details]
log messages from NetworkManager and some tcpdump info...
Comment 2 Dan Williams 2005-02-10 00:24:36 EST
Bill: which terminal were you in?  I was able to successfully get an address in
Terminal B in the US Airways shuttle areas.  Transaction went OK using
"dhcp_test" tool in the dhcpcd/ folder.
Comment 3 Bill Peck 2005-02-10 09:55:28 EST
I was in Terminal E (International).  
Comment 4 Scot Harris 2005-03-13 20:51:38 EST
I'm seeing a similar problem.  However this is not a Logan but with
regular home AP.  Running FC3 on a Toshiba Tecra M2 with the 2200BG
centrino chip set.  I initially tried to get the wireless connection
setup using the normal configuration tools.  I was able to see the APs
in the area using iwlist scan.  But was unable to establish a
connection to the AP.  I then tried installing NetworkManager which
actually was able to get a connection.  However this worked some of
the time and would fail to establish a connection at other times. 
When it would fail I was unable to establish a connection at all.  

Using the on board wired NIC seems to work just fine.

Mar 13 18:44:42 circularsaw kernel: ipw2200: Intel(R) PRO/Wireless
2200/2915 Network Driver, 0.13
Mar 13 18:44:42 circularsaw kernel: ipw2200: Copyright(c) 2003-2004
Intel Corporation
Mar 13 18:44:42 circularsaw kernel: ACPI: PCI interrupt
0000:02:05.0[A] -> GSI 11 (level, low) -> IRQ 11
Mar 13 18:44:42 circularsaw xinetd[4315]: xinetd Version 2.3.13
started with libwrap loadavg options compiled in.
Mar 13 18:44:42 circularsaw kernel: ipw2200: Detected Intel
PRO/Wireless 2200BG Network Connection
Mar 13 18:44:58 circularsaw NetworkManager: starting...
Mar 13 18:44:58 circularsaw NetworkManager: NetworkManager startup
succeeded
Mar 13 18:45:00 circularsaw NetworkManager: Clearing nscd hosts cache.
Mar 13 18:45:00 circularsaw fstab-sync[5056]: removed all generated
mount points
Mar 13 18:45:01 circularsaw fstab-sync[5167]: added mount point
/media/cdrecorder for /dev/hdc
Mar 13 18:45:02 circularsaw crond(pam_unix)[5206]: session opened for
user root by (uid=0)
Mar 13 18:45:04 circularsaw crond(pam_unix)[5206]: session closed for
user root
Mar 13 18:45:05 circularsaw NetworkManager: eth0: Driver support level
for 'e1000' is fully-supported
Mar 13 18:45:05 circularsaw NetworkManager: nm_device_new(): waiting
for device's worker thread to start.
Mar 13 18:45:06 circularsaw NetworkManager: nm_device_new(): device's
worker thread started, continuing.
Mar 13 18:45:06 circularsaw NetworkManager: Now managing wired device
'eth0'.
Mar 13 18:45:07 circularsaw NetworkManager: eth1: Driver support level
for 'ipw2200' is fully-supported
Mar 13 18:45:07 circularsaw NetworkManager: nm_device_new(): waiting
for device's worker thread to start.
Mar 13 18:45:07 circularsaw NetworkManager: nm_device_new(): device's
worker thread started, continuing.
Mar 13 18:45:07 circularsaw NetworkManager: Now managing wireless
device 'eth1'.
Mar 13 18:45:07 circularsaw NetworkManager:     SWITCH: best device
changed
Mar 13 18:45:08 circularsaw NetworkManager: Activation (eth1) started...
Mar 13 18:45:09 circularsaw NetworkManager: Activation
(eth1/wireless): waiting for an access point.
Mar 13 18:45:21 circularsaw NetworkManager: Updating allowed wireless
network lists.
Mar 13 18:45:23 circularsaw NetworkManager: Activation
(eth1/wireless): found access point 'myaccesspoint' to use.
Mar 13 18:45:23 circularsaw NetworkManager: Activation
(eth1/wireless): access point 'myaccesspoint' is encrypted, and a key
exists.  No new key needed.
Mar 13 18:45:28 circularsaw NetworkManager: Activation
(eth1/wireless): using essid 'myaccesspoint', with Open System
authentication.
Mar 13 18:45:30 circularsaw gconfd (scot-5388): Resolved address
"xml:readwrite:/home/scot/.gconf" to a writable configuration source
at position 0
Mar 13 18:45:39 circularsaw NetworkManager: Activation
(eth1/wireless): using essid 'myaccesspoint', with Shared Key
authentication.
Mar 13 18:45:49 circularsaw NetworkManager: FORCE: device
'/org/freedesktop/NetworkManager/Devices/eth1', network 'myaccesspoint'
Mar 13 18:45:51 circularsaw NetworkManager:     SWITCH: need to
associate with new access point or create a wireless network.
Mar 13 18:45:51 circularsaw NetworkManager: Activation (eth1) started...
Mar 13 18:45:52 circularsaw NetworkManager: Activation
(eth1/wireless): access point 'myaccesspoint' is encrypted, and a key
exists.  No new key needed.
Mar 13 18:45:56 circularsaw NetworkManager: Activation
(eth1/wireless): using essid 'myaccesspoint', with Open System
authentication.
Mar 13 18:46:07 circularsaw NetworkManager: Activation
(eth1/wireless): using essid 'myaccesspoint', with Shared Key
authentication.
Mar 13 18:46:14 circularsaw NetworkManager: Activation
(eth1/wireless): waiting for an access point.
Mar 13 18:46:56 circularsaw NetworkManager: FORCE: device
'/org/freedesktop/NetworkManager/Devices/eth1', network 'myaccesspoint'
Mar 13 18:46:57 circularsaw NetworkManager:     SWITCH: need to
associate with new access point or create a wireless network.
Mar 13 18:46:57 circularsaw NetworkManager: Activation (eth1) started...
Mar 13 18:46:58 circularsaw NetworkManager: Activation
(eth1/wireless): waiting for an access point.
Mar 13 18:47:02 circularsaw ntpd[4343]: sendto(80.53.57.158): Network
is unreachable
Mar 13 18:47:03 circularsaw ntpd[4343]: sendto(64.112.189.11): Network
is unreachable
Mar 13 18:48:06 circularsaw ntpd[4343]: sendto(64.112.189.11): Network
is unreachable
Mar 13 18:48:07 circularsaw ntpd[4343]: sendto(80.53.57.158): Network
is unreachable
Mar 13 18:48:07 circularsaw ntpd[4343]: synchronized to LOCAL(0),
stratum 10
Mar 13 18:48:07 circularsaw ntpd[4343]: kernel time sync disabled 0041
Mar 13 18:48:09 circularsaw NetworkManager: FORCE: device
'/org/freedesktop/NetworkManager/Devices/eth1', network 'myaccesspoint'
Mar 13 18:48:12 circularsaw NetworkManager:     SWITCH: need to
associate with new access point or create a wireless network.
Mar 13 18:48:12 circularsaw NetworkManager: Activation (eth1) started...
Mar 13 18:48:13 circularsaw NetworkManager: Activation
(eth1/wireless): waiting for an access point.
Mar 13 18:48:38 circularsaw su(pam_unix)[5668]: session opened for
user root by scot(uid=500)
Mar 13 18:48:45 circularsaw dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 3
Mar 13 18:48:48 circularsaw dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 6
Mar 13 18:48:54 circularsaw dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 11
Mar 13 18:49:05 circularsaw dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 15
Mar 13 18:49:10 circularsaw ntpd[4343]: sendto(80.53.57.158): Network
is unreachable
Mar 13 18:49:12 circularsaw ntpd[4343]: kernel time sync enabled 0001
Mar 13 18:49:12 circularsaw ntpd[4343]: sendto(64.112.189.11): Network
is unreachable
Mar 13 18:49:20 circularsaw dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 21
Mar 13 18:49:41 circularsaw dhclient: DHCPDISCOVER on eth1 to
255.255.255.255 port 67 interval 5
Mar 13 18:49:46 circularsaw dhclient: No DHCPOFFERS received.
Comment 5 Dan Williams 2005-05-16 16:05:28 EDT
hmm, dhclient shouldn't be running when NetworkManager is running.  Do you have
ONBOOT=yes set in any of the interfaces in system-config-network?
Comment 6 Scot Harris 2005-05-18 08:40:15 EDT
Submitted that comment some time ago.  Still trying to resolve this problem. 
Have reloaded the system with FC3.  I have tried it with ONBOOT=no and
ONBOOT=yes.  I learned in FC2 to set ONBOOT=no.  When the PCMCIA services start
up any PCMCIA nics will be started up anyway when ONBOOT=no.  With ONBOOT=yes I
found that they would fail to startup due to sequencing issue with networking
starting before PCMCIA services.

This a couple of weeks ago I tried FC4 test 2 release.  Was unable to get
wireless working.  

This past weekend I reloaded FC3 and tried to get wireless to work.  Again I can
see the APs in the area using iwlist scan.  This indicates to me that the
firmware loaded and most of the system is working.  However when I attempt to
connect to the AP it fails.  This time around I have not tried NetworkManager
yet.  I figure this should work with basic tools first.
Comment 7 John Thacker 2007-01-13 14:54:15 EST
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.